com.independentsoft.exchange

## Enum ServiceConfigurationType

- java.lang.Object
- - java.lang.Enum<ServiceConfigurationType>
  - - com.independentsoft.exchange.ServiceConfigurationType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ServiceConfigurationType>

      public enum ServiceConfigurationType
      extends java.lang.Enum<ServiceConfigurationType>

  Represents the protection rules service configuration.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MAIL_TIPS` Represents the mail tips service configuration.
    `PROTECTION_RULES` Represents the protection rules service configuration.
    `UNIFIED_MESSAGING_CONFIGURATION` Represents the unified messaging service configuration.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ServiceConfigurationType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ServiceConfigurationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MAIL_TIPS

          public static final ServiceConfigurationType MAIL_TIPS

      Represents the mail tips service configuration.

    - #### UNIFIED_MESSAGING_CONFIGURATION

          public static final ServiceConfigurationType UNIFIED_MESSAGING_CONFIGURATION

      Represents the unified messaging service configuration.

    - #### PROTECTION_RULES

          public static final ServiceConfigurationType PROTECTION_RULES

      Represents the protection rules service configuration.

  - ### Method Detail

    - #### values

          public static ServiceConfigurationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ServiceConfigurationType c : ServiceConfigurationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ServiceConfigurationType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null